Skip to main content
POST
/
v1
/
trpc
/
healthcheck.*
tRPC Healthcheck API
curl --request POST \
  --url 'https://api.glider.fi/v1/trpc/healthcheck.*' \
  --header 'X-API-KEY: <api-key>'
The healthcheck namespace is available on the tRPC base endpoint:
  • Base endpoint: POST /v1/trpc
  • Namespace: healthcheck.*
  • Auth: public

Procedures

  • healthcheck.ping
    • Purpose: fast liveness check
    • Rate tier: Tier3
  • healthcheck.status
    • Purpose: aggregated service status (api, database, legacy_database, redis)
    • Rate tier: Tier2

Example Calls

curl --request POST \
  --url 'https://api.glider.fi/v1/trpc/healthcheck.ping' \
  --header 'content-type: application/json' \
  --data '{"json":null}'
curl --request POST \
  --url 'https://api.glider.fi/v1/trpc/healthcheck.status' \
  --header 'content-type: application/json' \
  --data '{"json":null}'